Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 4.2.0   

Description

MessagesControllerTest # test_post_new test fails (trunk)

Failure:

MessagesControllerTest#test_post_new [/root/project/test/functional/messages_controller_test.rb:15

0]:

Expected: ["jsmith@somenet.foo"]

  Actual: ["dlopper@somenet.foo"]

bin/rails test test/functional/messages_controller_test.rb:121

 There is no guarantee that the elements will be in the order of "first: author, second: member" in the array mails, so the test should

be modified so that it does not depend on the order.

Associated revisions

Revision 20242 - 2020-11-04 08:49 - Go MAEDA

MessagesControllerTest#test_post_new randomly fails (#34169).

Patch by Mizuki ISHIKAWA.

Revision 21242 - 2021-10-09 08:52 - Marius BĂLTEANU

Fix random failing test introduced in r21130 (#35957, #34169).

History

#1 - 2020-10-27 09:00 - Go MAEDA

- Subject changed from MessagesControllerTest#test_post_new fails to MessagesControllerTest#test_post_new randomly fails

- Target version set to 4.2.0

Setting the target version to 4.2.0.

#2 - 2020-10-27 10:04 - vzvu 3k6k

LGTM and thanks for fixing. This test was very flaky on PostgreSQL and caused many false positive failures.

This fix will make development much easier.

#3 - 2020-11-04 08:49 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you.
